: Class CommandMap

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.activation
Class CommandMap

    java.lang.Object
      |
      +--javax.activation.CommandMap

Direct Known Subclasses:
  MailcapCommandMap

public abstract class CommandMap
extends java.lang.Object

Command Map.

Version:
  $Revision: 1.3 $
Author:
  Andrew Selkirk

Constructor Summary
`CommandMap()` Create Command Map.

Method Summary
`abstract DataContentHandler` | `createDataContentHandler(java.lang.String mimeType)` Create data content handler for MIME type.
`abstract CommandInfo[]` | `getAllCommands(java.lang.String mimeType)` Get all commands for a particular MIME type.
`abstract CommandInfo` | `getCommand(java.lang.String mimeType, java.lang.String cmdName)` Get command of a particular MIME type and command name.
`static CommandMap` | `getDefaultCommandMap()` Get reference to default command map.
`abstract CommandInfo[]` | `getPreferredCommands(java.lang.String mimeType)` Get list of preferred commands.
`static void` | `setDefaultCommandMap(CommandMap commandMap)` Set the default command map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandMap

    public CommandMap()

  Create Command Map.

Method Detail

### createDataContentHandler

    public abstract DataContentHandler createDataContentHandler(java.lang.String mimeType)

  Create data content handler for MIME type.
  Parameters:
    `mimeType` - MIME Type
  Returns:
    Data content handler

### getAllCommands

    public abstract CommandInfo[] getAllCommands(java.lang.String mimeType)

  Get all commands for a particular MIME type.
  Parameters:
    `mimeType` - MIME Type
  Returns:
    Array of commands

### getCommand

    public abstract CommandInfo getCommand(java.lang.String mimeType,
                                           java.lang.String cmdName)

  Get command of a particular MIME type and command name.
  Parameters:
    `mimeType` - MIME Type
    `cmdName` - Command name
  Returns:
    Command info

### getDefaultCommandMap

    public static CommandMap getDefaultCommandMap()

  Get reference to default command map.
  Returns:
    Default command map

### getPreferredCommands

    public abstract CommandInfo[] getPreferredCommands(java.lang.String mimeType)

  Get list of preferred commands. One entry per command name.
  Parameters:
    `mimeType` - MIME Type
  Returns:
    List of commands

### setDefaultCommandMap

    public static void setDefaultCommandMap(CommandMap commandMap)

  Set the default command map.
  Parameters:
    `commandMap` - Command map to set as default, or null for default

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2002 the Free Software Foundation, all rights reserved.